Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 738822 - media-tv/v4l-dvb-saa716x : update SRC_URI
Summary: media-tv/v4l-dvb-saa716x : update SRC_URI
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Martin Dummer
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: bitbucket-hg-end-of-support
  Show dependency tree
 
Reported: 2020-08-24 12:08 UTC by Azamat H. Hackimov
Modified: 2020-09-16 08:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Azamat H. Hackimov 2020-08-24 12:08:12 UTC
Need update HOMEPAGE and SRC_URI, current values unavailable (see https://bugs.gentoo.org/show_bug.cgi?id=737896).
Comment 1 Joerg Bornkessel gentoo-dev 2020-08-26 13:35:22 UTC
2 short comments:

REVISION="83f3bfd93a95" shows on a commit from DATE 2015‑12‑29 from (Soeren Moch)

correct should be:
REVISION="34b7caa70b4d" from DATE 2016‑03‑22 from powARman ( Andreas Regal)

looks like there are some errors on upstream by converting from hg to git.

at seconds:

both commits are broken in sources this day: several errors on compile time:

<snip>
/var/tmp/portage/media-tv/v4l-dvb-saa716x-0.0.1_p20170225-r5/work/powARman-v4l-dvb-saa716x-83f3bfd93a95/linux/drivers/media/common/saa716x/saa716x_pci.c:188:18: error: implicit declaration of function ‘ioremap_nocache’; did you mean ‘ioremap_cache’? [-Werror=implicit-function-declaration]
  188 |  saa716x->mmio = ioremap_nocache(pci_resource_start(pdev, 0), 0x30000);
      |                  ^~~~~~~~~~~~~~~
      |                  ioremap_cache
...
/var/tmp/portage/media-tv/v4l-dvb-saa716x-0.0.1_p20170225-r5/work/powARman-v4l-dvb-saa716x-34b7caa70b4d/linux/drivers/media/common/saa716x/saa716x_pci.c:188:18: error: implicit declaration of function ‘ioremap_nocache’; did you mean ‘ioremap_cache’? [-Werror=implicit-function-declaration]
  188 |  saa716x->mmio = ioremap_nocache(pci_resource_start(pdev, 0), 0x30000);
      |                  ^~~~~~~~~~~~~~~
      |                  ioremap_cache
...
/var/tmp/portage/media-tv/v4l-dvb-saa716x-0.0.1_p20170225-r5/work/powARman-v4l-dvb-saa716x-34b7caa70b4d/linux/drivers/media/common/saa716x/saa716x_ff_main.c:422:2: error: too few arguments to function ‘dvb_register_device’
  422 |  dvb_register_device(&saa716x_adap->dvb_adapter,
      |  ^~~~~~~~~~~~~~~~~~~
</snap>

This has to be fixed on upstream before!

@Martin, if you have time, would you please contakt Andreas to point this Problem out?
If you don't will find time, give me a short note, i will do this then.

Cheers
Comment 2 Azamat H. Hackimov 2020-08-26 20:15:58 UTC
Hi. I also noticed that there seems something wrong with git history.

git log shows that 83f3bfd is last commit, but not last historically (see https://bitbucket.org/powARman/v4l-dvb-saa716x/commits/branch/master). They may be messed with git rebase, but still 83f3bfd seems to be legit.

Unfortunately there no hg history log available, so I can't judge that both revisions equals.

I've done some research, and there more recent fork available intended to merge into kernel repo (see https://www.linuxtv.org/wiki/index.php/NXP_SAA716x, https://github.com/ljalves/linux_media/tree/latest/drivers/media/pci/saa716x and https://patchwork.kernel.org/patch/10881225/) but there no progress yet.
Comment 3 Larry the Git Cow gentoo-dev 2020-09-16 08:04:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6422be1e5e3bbeb8a1b4c5fb9234f8a4510479d

commit e6422be1e5e3bbeb8a1b4c5fb9234f8a4510479d
Author:     Azamat H. Hackimov <azamat.hackimov@gmail.com>
AuthorDate: 2020-08-24 12:08:42 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-09-16 08:04:12 +0000

    media-tv/v4l-dvb-saa716x: update SRC_URI
    
    Closes: https://bugs.gentoo.org/738822
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Azamat H. Hackimov <azamat.hackimov@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/17252
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-tv/v4l-dvb-saa716x/Manifest                            |  1 +
 .../v4l-dvb-saa716x-0.0.1_p20170225-r4.ebuild                | 12 ++++++------
 2 files changed, 7 insertions(+), 6 deletions(-)